org.openmuc.openiec61850

## Class ServiceSupport

- java.lang.Object
- - org.openmuc.openiec61850.ServiceSupport

    public final class ServiceSupport
    extends java.lang.Object

### Field Summary

Fields
`boolean` `dataSetDirectory`
`boolean` `dynAssociation`
`boolean` `getCBValues`
`boolean` `getDataObjectDefinition`
`boolean` `getDataSetValue`
`boolean` `getDirectory`
`boolean` `goose`
`int` `gooseMax`
`boolean` `readWrite`

### Constructor Summary

Constructors
Constructor and Description
`ServiceSupport()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dynAssociation

    public boolean dynAssociation

#### getDirectory

    public boolean getDirectory

#### getDataObjectDefinition

    public boolean getDataObjectDefinition

#### getDataSetValue

    public boolean getDataSetValue

#### dataSetDirectory

    public boolean dataSetDirectory

#### readWrite

    public boolean readWrite

#### getCBValues

    public boolean getCBValues

#### goose

    public boolean goose

#### gooseMax

    public int gooseMax

### Constructor Detail

#### ServiceSupport

    public ServiceSupport()